> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashSaleExtensions/RecalculateCashSale/{itemId}/{saveCashSaleIfModified} ## OpenAPI ````json GET /v26.4/CashSaleExtensions/RecalculateCashSale/{itemId}/{saveCashSaleIfModified} { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashSaleExtensions/RecalculateCashSale/{itemId}/{saveCashSaleIfModified}": { "get": { "tags": [ "CashSaleExtensions" ], "parameters": [ { "name": "itemId", "in": "path", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "saveCashSaleIfModified", "in": "path", "required": true, "schema": { "type": "boolean" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "boolean" } }, "application/json": { "schema": { "type": "boolean" } }, "text/json": { "schema": { "type": "boolean" } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````